Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426106 - net-nds/tac_plus's LICENSE variable does not reflect init script
Summary: net-nds/tac_plus's LICENSE variable does not reflect init script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: init-script-license
  Show dependency tree
 
Reported: 2012-07-11 17:24 UTC by Ian Stakenvicius (RETIRED)
Modified: 2012-07-13 15:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius (RETIRED) gentoo-dev 2012-07-11 17:24:33 UTC
The init script(s) provided in FILESDIR for net-nds/tac_plus has a license of GPL-2 but GPL-2 isn't within the LICENSE variable of the ebuild(s):

files/tac_plus.init has license line:
# Distributed under the terms of the GNU General Public License v2
... and is used by the following ebuilds:
tac_plus-4.0.4.14.ebuild:LICENSE="as-is"
tac_plus-4.0.4.15.ebuild:LICENSE="as-is"
tac_plus-4.0.4.19-r2.ebuild:LICENSE="as-is"
tac_plus-4.0.4.19-r3.ebuild:LICENSE="as-is"
tac_plus-4.0.4.19-r3.ebuild:LICENSE="as-is"

files/tac_plus.init2 has license line:
# Distributed under the terms of the GNU General Public License v2
... and is used by the following ebuilds:
tac_plus-4.0.4.19-r3.ebuild:LICENSE="as-is"

There are two options here -- either LICENSE in the ebuilds should be appended with GPL-2 to cover the init script, or the init script should be relicensed so that it is covered by current LICENSE (this one is probably the preferred resolution).  See also bug 425702 .
Comment 1 Tony Vroon gentoo-dev 2012-07-13 10:20:21 UTC
As discussed on IRC, my init scripts are not works of art that are deserving of strong copyright protection. You have my express permission to change the license on init scripts and commit the results, directly in-tree, without filing bugs.
Comment 2 Ian Stakenvicius (RETIRED) gentoo-dev 2012-07-13 15:00:56 UTC
+  13 Jul 2012; Ian Stakenvicius <axs@gentoo.org> tac_plus-4.0.4.14.ebuild,
+  tac_plus-4.0.4.15.ebuild, tac_plus-4.0.4.19-r2.ebuild,
+  tac_plus-4.0.4.19-r3.ebuild:
+  added GPL-2 to LICENSE per bug 426106 , for now

There's still some debate as to whether or what the init script license should be changed to, so your permission on-file is appreciated and I may swap the way I resolved this in the future if it is deemed appropriate.